{
  "description": "EndpointPort is a tuple that describes a single port.",
  "properties": {
    "appProtocol": {
      "description": "The application protocol for this port. This field follows standard Kubernetes label syntax. Un-prefixed names are reserved for IANA standard service names (as per RFC-6335 and https://www.iana.org/assignments/service-names). Non-standard protocols should use prefixed names such as mycompany.com/my-custom-protocol.",
      "type": [
        "string",
        "null"
      ]
    },
    "name": {
      "description": "The name of this port.  This must match the 'name' field in the corresponding ServicePort. Must be a DNS_LABEL. Optional only if one port is defined.",
      "type": [
        "string",
        "null"
      ]
    },
    "port": {
      "description": "The port number of the endpoint.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "protocol": {
      "description": "The IP protocol for this port. Must be UDP, TCP, or SCTP. Default is TCP.\n\n",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "port"
  ],
  "type": "object",
  "x-kubernetes-map-type": "atomic",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/endpointport/v1"
}